
package de.ivu.elect.was.exchange.ergebnis;

import javax.enterprise.inject.Instance;
import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.control.NlWasModelP221BulkExportExchange;
import de.ivu.elect.core.exchange.wahl.AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange;

public class DefaultNlWasModelP221BulkExportExchange extends AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange implements NlWasModelP221BulkExportExchange {

  @Inject
  private transient Instance<NlWasModelP221BulkExportMapper> mappers;

  public DefaultNlWasModelP221BulkExportExchange() {
    super();
  }

  @Override
  protected Iterable< ? extends NlWasModelP221BulkExportMapper> getAllSupportedMapper() {
    return mappers;
  }
}
